/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Controller - MySQL5ExtendedDialect.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.unige.solidify.config;

import java.sql.Types;

import org.hibernate.dialect.MySQL57Dialect;

//See http://stackoverflow.com/questions/22785117/mysql-datetime-precision-joda-time-hibernate-org-jadira-usertype-hbm2ddl
@SuppressWarnings("squid:MaximumInheritanceDepth")
public class MySQL5ExtendedDialect extends MySQL57Dialect {
  public MySQL5ExtendedDialect() {
    this.registerColumnType(Types.TIMESTAMP, 6, "datetime($l)");
  }
}
